Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.attachments
Class AttachmentUtils

    java.lang.Object
      org.apache.axis.attachments.AttachmentUtils

public class AttachmentUtils
extends java.lang.Object

This class allow access to the Jaf data handler in AttachmentPart.

Author:
  Rick Rineholt

Method Summary
`static javax.activation.DataHandler` | `getActivationDataHandler(Part part)` Obtain the DataHandler from the part.
`static boolean` | `isAttachment(java.lang.Object value)` Determine if an object is to be treated as an attchment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getActivationDataHandler

    public static javax.activation.DataHandler getActivationDataHandler(Part part)
                                                                 throws AxisFault

  Obtain the DataHandler from the part.

  Parameters:
    `part` - the part containing the Java Activiation Framework data source.
  Returns:
    The Java activation data handler.
  Throws:
    `AxisFault`

### isAttachment

    public static boolean isAttachment(java.lang.Object value)

  Determine if an object is to be treated as an attchment.

  Parameters:
    `value` - the value that is to be determined if its an attachment.
  Returns:
    True if value should be treated as an attchment.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.